Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::DialogDescriptionConfig Class Reference

Inherits Object.

## Public Member Functions
| DialogDescriptionConfig ()
| Constructor.
| DialogDescriptionConfig (const char *name, const char *first_tab, int width, int height, int char_width, int char_height, const char *align_children, DialogDescriptionElementArray element_array)
| Constructor, with parameters. More...
| DialogDescriptionConfig (const DialogDescriptionConfig &dlg_des_config)
| Constructor, with another dialog description config object. More...
DialogDescriptionConfig & | operator= (const DialogDescriptionConfig &dlg_des_config)
| Assign operator. More...
void | Set (const char *name, const char *first_tab, int width, int height, int char_width, int char_height, const char *align_children, DialogDescriptionElementArray element_array)
| Set values. More...

## Public Attributes
String | align_children
| The alignment for all descendants.
int | char_height
| The height of the dialog box in characters. More...
int | char_width
| The width of the dialog box in characters. More...
DialogDescriptionElementArray | element_array
| An array of dialog description element array object.
String | first_tab
| An ItemID for the dialog box item that should be first in the tab order. More...
int | height
| The height of the dialog box in pixels. More...
String | name
| The title bar of the dialog box.
int | width
| The width of the dialog box in pixels. More...

## Detailed Description

This class represents dialog config.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionConfig() [1/2]

foxit::DialogDescriptionConfig::DialogDescriptionConfig | ( | const char * | name,
|  | const char * | first_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | const char * | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

## ◆ DialogDescriptionConfig() [2/2]

foxit::DialogDescriptionConfig::DialogDescriptionConfig | ( | const DialogDescriptionConfig & | dlg_des_config | ) |
| inline

Constructor, with another dialog description config object.

Parameters

  [in] | dlg_des_config | Another dialog description config object.

## Member Function Documentation

## ◆ operator=()

DialogDescriptionConfig& foxit::DialogDescriptionConfig::operator= | ( | const DialogDescriptionConfig & | dlg_des_config | ) |
| inline

Assign operator.

Parameters

  [in] | dlg_des_config | Another dialog description config object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::DialogDescriptionConfig::Set | ( | const char * | name,
|  | const char * | first_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | const char * | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

Returns
  None.

## Member Data Documentation

## ◆ char_height

int foxit::DialogDescriptionConfig::char_height

The height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

int foxit::DialogDescriptionConfig::char_width

The width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

## ◆ first_tab

String foxit::DialogDescriptionConfig::first_tab

An ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

## ◆ height

int foxit::DialogDescriptionConfig::height

The height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

int foxit::DialogDescriptionConfig::width

The width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.